include make.inc

PROGS = prep_obs_ORCA1 prep_obs_ORCA25

all:$(PROGS)

prep_obs_ORCA1_F90 = mod_measurement.f90 p_prep_obs_ORCA1.F90
prep_obs_ORCA25_F90 = mod_measurement.f90 p_prep_obs_ORCA25.F90


prep_obs_ORCA1_OBJ = mod_measurement.o p_prep_obs_ORCA1.o
prep_obs_ORCA25_OBJ = mod_measurement.o p_prep_obs_ORCA25.o


prep_obs_ORCA1: $(prep_obs_ORCA1_OBJ)
	cd ./TMP ; $(LD) $(LINKFLAGS) -o ../prep_obs_ORCA1 $(prep_obs_ORCA1_OBJ)

prep_obs_ORCA25: $(prep_obs_ORCA25_OBJ)
	cd ./TMP ; $(LD) $(LINKFLAGS) -o ../prep_obs_ORCA25 $(prep_obs_ORCA25_OBJ)

## Modules
clean:
	@rm -f *.o *.mod TMP/*.* $(PROGS)

%.o: %.F90
	@echo "  $*".F90
	@rm -f ./TMP/$*.f90
	@cat MODEL.CPP $< | $(CPP) $(CPPFLAGS) > ./TMP/$*.f90
	@cd ./TMP; $(CF90) -c $(FFLAGS) $(F90FLG) -o $*.o $*.f90

%.o: %.F
	@echo "  $*".F
	@rm -f ./TMP/$*.f
	@cat MODEL.CPP $< | $(CPP) $(CPPFLAGS) > ./TMP/$*.f
	@cd ./TMP; $(CF77) -c $(FFLAGS) $(F77FLG) -o $*.o $*.f 2> /dev/null

%.o: %.c
	@echo "  $*".c
	@cd ./TMP ; $(CC) -c $(CFLAGS) -o $*.o -I../.. ../../$*.c
